# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:43 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Convert
%define	pnam	GeekCode
Summary:	Convert::GeekCode - Convert and generate geek code sequences
Summary(pl):	Modu Convert::GeekCode - generujcy i konwertujcy sekwencje ,,geek code''
Name:		perl-Convert-GeekCode
Version:	0.5
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%{!?_without_tests:BuildRequires:	perl-YAML}
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::GeekCode converts and generates Geek Code sequences (cf.
http://geekcode.com/). It supports different langugage codes and
user-customizable codesets.

%description -l pl
Modu Convert::GeekCode konwertuje i generuje sekwencje Geek Code
(http://geekcode.com/). Obsuguje kody dla rnych jzykw i zestawy
kodw definiowane przez uytkownika.

%package -n geekcode-tools
Summary:	geekdec - Geek Code decoder, geekgen - Geek Code generator
Summary(pl):	geekdec - dekoder i geekgen - generator Geek Code
Group:		Applications
Requires:	%{name}

%description -n geekcode-tools
geekdec parses Geek Code sequences read from the standard input, and
prints out explanations.

geekgen generates Geek Code sequences interactively, according to
user's input. User could mix numerical selections with usual symbols
like (), >, ! and @.

%description -n geekcode-tools -l pl
geekdec analizuje sekwencje Geek Code czytane ze standardowego wyjcia
i wypisuje ich znaczenie.

geekgen generuje sekwencje Geek Code interaktywnie, zgodnie z danymi
wprowadzanymi przez uytkownika. Uytkownik moe miesza numery opcji
ze zwykle uywanymi symbolami takimi jak (), >, ! i @.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%files -n geekcode-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Convert-GeekCode.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:28:28  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/26 22:32:49  qboosh
- pl description

Revision 1.2  2002/08/26 16:24:17  radek
- fixed permissions, release 2, STBR

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
